<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$limite = (isset($_GET['limite'])) ? $_GET['limite'] : 5; 
$pagina = (isset($_GET['pagina'])) ? $_GET['pagina'] : 1; 
$usuario = @$_GET['user'];


$query = $pdo->query("SELECT * FROM usuarios where id = '$usuario'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$nivel = $res[0]['nivel'];
if($nivel == 'Corretor'){
    $usuario = '%'.$usuario.'%';
}else{
    $usuario = '%%';
}

$inicio = ($limite * $pagina) - $limite; 

$query = $pdo->prepare("SELECT * FROM vendas where corretor LIKE '$usuario' ORDER BY id DESC LIMIT $inicio, $limite");

$query->execute();

$res = $query->fetchAll(PDO::FETCH_ASSOC);


for ($i=0; $i < count($res); $i++) { 

 $id = $res[$i]['id'];
        $valor = $res[$i]['valor_total'];
        $vendedor = $res[$i]['vendedor'];
        $comprador = $res[$i]['comprador'];
        $comissao_corretor = $res[$i]['comissao_corretor'];
        $comissao_imob = $res[$i]['comissao_imob'];
        $corretor = $res[$i]['corretor'];
        $data = $res[$i]['data'];
        $data_pgto = $res[$i]['data_pgto'];
        $obs = $res[$i]['obs'];
        $pago = $res[$i]['pago'];
        $usuario = $res[$i]['usuario'];
        $imovel = $res[$i]['imovel'];


       $dataF = implode('/', array_reverse(explode('-', $data)));
        $data_pgtoF = implode('/', array_reverse(explode('-', $data_pgto)));

        $valorF = number_format($valor, 2, ',', '.');
        $comissao_corretorF = number_format($comissao_corretor, 2, ',', '.');
        $comissao_imobF = number_format($comissao_imob, 2, ',', '.');

        $query2 = $pdo->query("SELECT * FROM usuarios where id = '$corretor'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_corretor = $res2[0]['nome'];
        }else{
            $nome_corretor = 'Sem Registro';
        }


        $query2 = $pdo->query("SELECT * FROM usuarios where id = '$usuario'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_usuario = $res2[0]['nome'];
        }else{
            $nome_usuario = 'Sem Registro';
        }

        $query2 = $pdo->query("SELECT * FROM compradores where id = '$comprador'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_comprador = $res2[0]['nome'];
        }else{
            $nome_comprador = 'Sem Registro';
        }


        $query2 = $pdo->query("SELECT * FROM vendedores where id = '$vendedor'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_vendedor = $res2[0]['nome'];
        }else{
            $nome_vendedor = 'Sem Registro';
        }



        $query2 = $pdo->query("SELECT * FROM imoveis where id = '$imovel'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $titulo = $res2[0]['titulo'];
            $img_principal = $res2[0]['img_principal'];
        }


        if($pago == 'Sim'){
            $classe_pago = 'green';
            $ocultar = 'ocultar';
            $icone = 'fa-check-square';
            $titulo_link = 'Status Não Pago';
            $acao = 'Não';
        }else{
            $classe_pago = 'red';
            $ocultar = '';
            $icone = 'fa-square-o';
            $titulo_link = 'Venda Finalizada Paga';
            $acao = 'Sim';
        }




$dados[] = array(
    'id' => $res[$i]['id'],
    'valor' => $valorF,
    'corretor' => $nome_corretor,
    'comprador' => $nome_comprador,    
    'vendedor' => $nome_vendedor,
    'comissao_corretor' => $comissao_corretorF,
    'comissao_imob' => $comissao_imobF,
    'data' => $dataF,
    'data_pgto' => $data_pgtoF,
    'classe_pago' => $classe_pago,
    'id_imovel' => $imovel,
    'titulo_imovel' => $titulo,
    'img_imovel' => $img_principal,
    'pago' => $pago,
);

}


if(count($res) > 0){
    $result = json_encode(array('success'=>true, 'resultado'=>@$dados, 'totalItems'=>@count($dados) + ($inicio)));
}else{
    $result = json_encode(array('success'=>false, 'resultado'=>'0'));
}

echo $result;

?>